%global commitdate 20240613
%global commit 2e88df729fb4961fa81dc9848291fe73c5657c03
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           miriway
Version:        0^git%{commitdate}.%{shortcommit}
Release:        1%{?dist}
Summary:        Simple Wayland compositor built on Mir

License:        GPL-3.0-only
URL:            https://miriway.github.io/
Source0:        https://github.com/Miriway/Miriway/archive/%{commit}/Miriway-%{commit}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  git-core
BuildRequires:  ninja-build
BuildRequires:  pkgconfig(miral)
BuildRequires:  pkgconfig(xkbcommon)

%description
Miriway is a starting point for creating a Wayland based
desktop environment using Mir.


%prep
%autosetup -n Miriway-%{commit} -S git_am

# Drop -Werror
sed -e "s/-Werror//g" -i CMakeLists.txt


%build
# Deal with some goofiness around sysconfdir
%cmake -GNinja -DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir}
%cmake_build


%install
%cmake_install

# Remove miriway-unsnap as it's kind of pointless
rm -f %{buildroot}%{_bindir}/%{name}-unsnap


%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}*
%{_datadir}/wayland-sessions/%{name}.desktop
%dir %{_sysconfdir}/xdg/xdg-%{name}
%config(noreplace) %{_sysconfdir}/xdg/xdg-%{name}/%{name}-shell.config


%changelog
* Sat Jun 15 2024 Neal Gompa <ngompa@fedoraproject.org> - 0^git20240613.2e88df7-1
- Bump to new git snapshot

* Mon Mar 11 2024 Neal Gompa <ngompa@fedoraproject.org> - 0^git20240306.d58ec46-1
- Intial package
